# Update Finding

update a finding in a vulnerability scanning system

Operation ID: vulnerabilities_update_finding

Endpoint: PUT /v1/vulnerabilities/findings/{findingId}
Security: BearerAuth

## Path parameters:

  - `findingId` (string, required)
    Uid of the Finding (URL encoded). This will be finding.uid in the OCSF model.

## Request fields (application/json):

  - `severity_id` (integer, required)
    SeverityId is an enum, and the following values are allowed.
0 - Unknown: The event/finding severity is unknown.
1 - Informational: Informational message. No action required.
2 - Low: The user decides if action is needed.
3 - Medium: Action is required but the situation is not serious at this time.
4 - High: Action is required immediately.
5 - Critical: Action is required immediately and the scope is broad.
6 - Fatal: An error occurred but it is too late to take remedial action.
99 - Other: The event/finding severity is not mapped. See the severity attribute, which contains a data source specific value.

  - `severity` (string)
    Values supported by using severity as a filter. Supports [eq] and [in] operators. For example, severity[eq]critical or severity[in]critical, high.
    Enum: "critical", "high", "medium", "low", "info"

  - `state` (string)
    The normalized state identifier of a security finding
    Enum: "Unknown", "New", "InProgress", "Resolved", "Other"

  - `unmapped` (any)

## Response 400 fields (application/json):

  - `occurred_at` (string, required)
    The date and time the problem occurred.

  - `status` (integer, required)
    The HTTP status code of the problem. Matches the HTTP response code sent by the server.

  - `instance` (string, required)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `type` (string)
    A URI reference that identifies the type of problem that occurred. When the URI scheme is HTTP(s), it may or may not be possible to deference the URL to a display-friendly description of the problem type.

  - `cause` (array,null)
    A list of the root cause(s) for this problem occurrence. Includes at minimum one root cause, and is otherwise an unordered list of causes.

  - `cause.type` (string, required)
    A URI reference that identifies the type of problem that occurred. When the URI scheme is HTTP(s), it may or may not be possible to deference the URL to a display-friendly description of the problem type.

  - `cause.message` (string, required)
    A short, display-friendly summary of the problem.

  - `cause.detail` (string,null)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `cause.remediation` (string,null)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `cause.context` (object)

  - `cause.context.parameter` (object)

  - `cause.context.parameter.id` (string, required)
    If the location of the parameter is body, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `cause.context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `cause.context.parameter.value` (any,null)
    The given value of the parameter.

  - `cause.context.resources` (array,null)

  - `cause.context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `cause.context.resources.id` (string, required)
    ID of the related resource.

  - `cause.context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `cause.context.raw_error` (string,null)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `cause.context.provider_details` (object,null)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

  - `detail` (string,null)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string,null)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)


## Response 204 fields
